> ## Documentation Index
> Fetch the complete documentation index at: https://api.smartlead.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Leads Between Lists

> Copy or move leads from one list to another

## Request Body

<ParamField body="action" type="string" required>
  Operation type: `copy` or `move`
</ParamField>

<ParamField body="leadIds" type="array">
  Specific lead IDs to transfer. Array of numbers, 1-10,000 items. Provide either `leadIds` or `fromListId`.
</ParamField>

<ParamField body="fromListId" type="number">
  Source list ID to transfer all leads from. Provide either `leadIds` or `fromListId`.
</ParamField>

<ParamField body="toListId" type="number" required>
  Destination list ID to transfer leads to
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://server.smartlead.ai/api/v1/leads/leads/push-between-lists?api_key=YOUR_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "action": "move",
      "fromListId": 500,
      "toListId": 501
    }'
  ```
</RequestExample>

## Response Codes

<ResponseField name="200" type="Success">
  Request successful
</ResponseField>

<ResponseField name="400" type="Bad Request">
  Invalid request parameters or malformed request body
</ResponseField>

<ResponseField name="401" type="Unauthorized">
  Invalid or missing API key
</ResponseField>

<ResponseField name="422" type="Validation Error">
  Request validation failed. Check parameter types and constraints.
</ResponseField>

<ResponseExample>
  ```json 200 - Success theme={null}
  {
    "ok": true,
    "data": {
      "total_leads_moved": 1250
    }
  }
  ```

  ```json 401 - Unauthorized theme={null}
  {
    "message": "Invalid API Key"
  }
  ```
</ResponseExample>
